diff -upr orig/zsys-setup patched/zsys-setup
--- orig/zsys-setup	2022-10-27 19:55:36.174035504 +0200
+++ patched/zsys-setup	2022-10-27 19:55:48.038193375 +0200
@@ -519,7 +519,13 @@ EOF
 		swapoff "${SWAPFILE}"
 	fi
 	# Convert to MiB to align the size on the size of a block
-	SWAPVOLSIZE=$(( SWAPSIZE / 1024 / 1024 ))
+	# for suspend to disk we need a swap partition as large as the mounted RAM
+	# SWAPVOLSIZE=$(( SWAPSIZE / 1024 / 1024 ))
+	# get RAM size
+	SWAPVOLSIZE=$(cat /proc/meminfo | grep MemTotal: | sed -n 's|^[^:]*:\W*\([0-9]*\).*|\1|p')
+	echo "Test: >$SWAPVOLSIZE<" > /home/xubuntu/test.txt
+	# do alignent to GB boarder
+	SWAPVOLSIZE=$(( (($SWAPVOLSIZE / 1024) + 1023) & 0xffffc00 ))
 
 	prepare_target "${TARGET}"
 	format_disk "${DISK}" "${PARTBASE}" "${PARTESP}" "${PARTBPOOL}" "${PARTRPOOL}" "${SWAPVOLSIZE}"
